# $Revision: 1.18 $, $Date: 2002/01/02 10:54:18 $
Summary:	Library that provides function textures for WindowMaker
Summary(pl):	Biblioteka dostarczajca funkcje tekstur dla WindowMakera
Name:		libwmfun
Version:	0.0.4
Release:	1
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(fr):	X11/Librairies
Group(pl):	X11/Biblioteki
Group(pt_BR):	X11/Bibliotecas
Group(ru):	X11/
Group(uk):	X11/̦
Source0:	ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
BuildRequires:	XFree86-devel
BuildRequires:	WindowMaker-devel >= 0.63.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix 	/usr/X11R6

%description
libwmfun is a library that provides function textures for WindowMaker.
For more info see %{_defaultdocdir}/%{name}-%{version}/README after
installing this package.

%description -l pl
libwmfun jest bibliotek dla WindowMakera, ktra wyposaa go w funkcje
tworzenia tekstur. Wicej informacji znajdziesz po zainstalowaniu tego
pakietu w %{_defaultdocdir}/%{name}-%{version}/README.

%package devel
Summary:	Header files etc to develop libwmfun applications
Summary(pl):	Pliki nagwkowe i inne do libwmfun
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name} = %{version}

%description devel
Header files etc to develop libwmfun applications.

%description devel -l pl
Pliki nagwkowe i inne do libwmfun.

%package static
Summary:	Static libwmfun library
Summary(pl):	Biblioteka statyczna libwmfun
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name}-devel = %{version}

%description static
Static libwmfun library.

%description static -l pl
Biblioteka statyczna libwmfun.

%prep
%setup -q

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
CFLAGS="%{rpmcflags} -I%{_includedir} -I/usr/include/freetype2"
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README ChangeLog AUTHORS NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz WMFun-demo.style
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libwmfun.spec,v $
Revision 1.18  2002/01/02 10:54:18  qboosh
- updated to 0.0.4 - builds with current WindowMaker libs API
- BR: freetype-devel

Revision 1.17  2001/12/02 10:00:37  kloczek
- start release 3,
- added regeneratre ac/am/lt files but not compilec (neccessary help for
  fix thix).

Revision 1.16  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.15  2001/02/10 04:22:11  kloczek
- release 2: rebuild against WindowMaker 0.63.1.

Revision 1.14  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  1999/10/10 09:55:07  pius
- updated to 0.0.2
- cosmetics

Revision 1.7  1999/09/01 23:18:17  kloczek
- added static subpackage.

Revision 1.6  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1.1-3]
- added devel subpackage,
- added using %%configure macro.

* Tue Jul 6 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [0.1.1-2]
- rewritten for PLD use,
- based on spec file by Ryan Weaver <ryanw@infohwy.com>.
